Subject: bug#70105: 30.0.50; Emacs should support EditorConfig out of the box

From: Ihor Radchenko <[email-masked]>
Date: Wed, 19 Jun 2024 15:52:29 +0000

Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

> +The @code{indent_size} setting of the EditorConfig standard does not
> +correspond to a fixed variable in Emacs, but instead needs to set
> +different variables depending on the major mode.  Ideally all major
> +modes should set the corresponding @code{editorconfig-indent-size-vars},
> +but if you use a major mode in which @code{indent_size} does not take
> +effect because the major mode does not yet support it, you can customize
> +the @code{editorconfig-indentation-alist} variable to tell Emacs which
> +variables need to be set in that major mode.

Reading this as a major mode maintainer, I have not the slightest clue
about EditorConfig standard. So, I have no idea what indent_size is all
about and what I am supposed to do with it.

Maybe you can explain in more details what indent_size does and how it
should reflect on the indentation settings.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>